services:
  vnf_donate.admin_path.route_subscriber:
    class: Drupal\vnf_donate\EventSubscriber\DonationAdminRouteSubscriber
    arguments: ['@config.factory', '@router.builder']
    tags:
      - { name: event_subscriber }

  vnf_donate.order_events_event_subscriber:
    class: '\Drupal\vnf_donate\EventSubscriber\DonationOrderEventsSubscriber'
    arguments: ['@language_manager', '@plugin.manager.mail']
    tags:
      - { name: 'event_subscriber' }

  vnf_donate.cart_event_subscriber:
    class: Drupal\vnf_donate\EventSubscriber\DonationsCartEventSubscriber
    arguments: ['@request_stack']
    tags:
      - { name: event_subscriber }

  vnf_donate.donation_redirect_subscriber:
    class: Drupal\vnf_donate\EventSubscriber\DonationRedirectSubscriber
    arguments: ['@path.current', '@current_user']
    tags:
      - { name: event_subscriber }
